I found a typo in the config file that broke this support. It should indeed by without-rte-support. Unfortunately, someone in the interim mistakenly shortened it to just "without-rte".

Should have a fix in shortly. Thanks for bringing it to our attention!
Ralph

PS. I will try to add some info about this to the wiki page - may be later this week.


Begin forwarded message:

From: "Abhishek Kulkarni" <abbyzcool@gmail.com>
Date: August 11, 2008 11:17:41 AM MDT
To: "Open MPI Users" <users@open-mpi.org>
Subject: [OMPI users] OMPI without-rte-support?
Reply-To: Open MPI Users <users@open-mpi.org>

Hello,

I downloaded the openmpi-1.4a1r19231 nightly and trying to configure it without RTE support. It doesn't seem to recognize the without-rte-support configure flag, or so it seems.
It goes on well with "with-rte=no". 

$ ./configure --without-rte-support
configure: WARNING: Unrecognized options: --without-rte-support
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane...
[snip]

Also, any additional information I can get on this option would be great. I tried to dig up for anything on this -- the only thing I found is the original changeset 18664 by Ralph
https://svn.open-mpi.org/trac/ompi/changeset/18664

 -- Abhishek
_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users